@import 'assets/variables.scss';

.label {
  font-family: $default-font-family;
  font-size: 1.4rem;
  font-weight: bold;
  background-color: transparent;
  width: fit-content;
  outline: 0;
  border-width: 0 0 1px;
  border-color: transparent;

  &:focus {
    border-color: $soft-grey;
  }
}

.topSectionWrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: $cell * 2;
}

.sectionMenu {
  display: flex;
  opacity: 0;

  transition: opacity ease 0.3s;

  .sectionMenuIcon {
    color: $mid-grey;
    box-shadow: 0 0 0 .1em transparent inset !important;
    background-color: transparent;

    transition: background-color ease 0.3s;

    &:hover {
      background-color: $super-soft-grey;
    }
    cursor: pointer;
  }
}

.root {
  &:hover {
    .sectionMenu {
      opacity: 1;
    }
  }
}

.listWrap {
  display: flex;
  flex-wrap: wrap;
}

.empty {
  text-align: center;
  color: $grey-highlight;
  border: dashed 1px $grey-highlight;
  padding: $cell * 1;
  margin-bottom: $cell * 3;
  margin-top: $cell;
}

.divider {
  margin-top: $cell * 3 !important;
}